#!/usr/bin/perl -w
# How do I get the complete spliced nucleotide sequence from the CDS section?
# http://www.bioperl.org/wiki/FAQ

use Bio::DB::GenBank;
use Bio::Perl;
# use Bio::SeqIO;
# use Bio::Location::SplitLocationI

my $ginum = "886903";

$db_obj = Bio::DB::GenBank->new;
$seq_obj = $db_obj->get_Seq_by_gi("$ginum");

foreach my $feat ( $seq_obj->top_SeqFeatures ) {
  if ( $feat->primary_tag eq 'CDS' ) {
    my $cds_obj = $feat->spliced_seq;
    print ">",$feat->gff_string,"\n",$cds_obj->seq,"\n";
  }
}
